/* css reset rule */
* {
    margin: 0; padding: 0;
}

body {
    font-family: verdana, Arial,
    sans-serif;
    background-color: #234;
    color: #EEE;
    border: 4px solid #222;
    margin: 4px;
    padding: 12px;
}

/* type selector */
header {
background-color: #222;
padding: 12px;
text-align: center;
}

/* descendent selector */
header h1 {
    color: yellowgreen;
    font-weight: normal;
    text-transform: uppercase;
    margin-bottom: 12px;
}

header p {
    color: yellow;
    text-transform: lowercase;
    letter-spacing: 8px;
}

header p span {
    color: #999;
    display: block; padding: 8px;
}


/* class selector */
.subtitle {
outline:2px solid gray;
}


/* ===================  */
/* CSS Examples */


section {
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
    margin-bottom: 800px;
}


section article {
    border: 2px solid hotpink;
    max-width: 360px;
    min-height: 200px;
    margin: 10px;
    flex: 0 0 auto;
    padding: 4px;
}

article h2 {
    font-size: 16pt;
}

article p {
    margin: 8px;
    line-height: 1.4;
}

/* ID selector */
#art1 div {
 width: 70%;
 aspect-ratio: 2/1;
 background-color: skyblue;
 margin: 20px auto;
 border-radius: 20px;
}

#art2 div {
    width: 70%;
    aspect-ratio: 2.5/1;
    background-color: #000;
    /* center a block */
    margin: 20px auto;
    border-radius: 20px;
    box-shadow: -4px 8px 14px white;
   }

 #art3 h2 {
   font-family: "Playwrite HU", cursive;
   text-align: center;
   font-size: 18pt;
   color: #FF3;
   border: 2px solid yellowgreen;
   }

#art4 {
/* use position relative on the parent */
position: relative;
}

#art4 h2 {
    color: #FF3;
    /* use position absolute on the child you want to manipulate */
    position: absolute;
    bottom: 10px; left: 0;
    border: 0px;
    width: 100%;
    text-align: center;
}

#art5 {
    position: relative;
}

#art5 div {
    /*setting position absolute to ALL divs within art5 */
    position: absolute;
}

#art5 div:nth-of-type(1) {
    width: 40%; aspect-ratio: 1;
    background-color: #F44;
    bottom: 10px; left: 64px;
    z-index: 5;
}

#art5 div:nth-of-type(2) {
    width: 40%; aspect-ratio: 1;
    background-color: #44F;
    bottom: -10; right: 64px;
    z-index: 3;
}

#art6 {
 transition: all 300ms linear;     
}

/* pseudo element */
#art6:hover {
    background-color: #404;
    color: #FF4;
    border: 2px solid yellowgreen;
}




















/* adjacent selector */

header + p {
    display: none;
}






/* css ruleset, aka rule
selector {
  declaration1;
  declaration2;
  property: value;
  property: value;
  property: value1, value2, value3;
  property: value; value;
}
  */